Package: groovy.mock.interceptor

## [Groovy] Class Demand

- groovy.mock.interceptor.Demand

-     class Demand
      extends Object

  The object that registers method calls on it for the use with Mocks and Stubs. For each call a CallSpec object is added to the recorded list.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Map` | `ignore`
    `List` | `recorded`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Demand()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `invokeMethod(String methodName, Object args)`
    `` | `Object` | `verify(List calls)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### Map ignore

    - #### List recorded

  - ### Constructor Detail

    - #### Demand()

  - ### Method Detail

    - #### Object invokeMethod(String methodName, Object args)

    - #### Object verify(List calls)